CREATE TABLE gl_ledger_config_details (
    CONFIGURATION_ID             NUMBER(18, 0),
    OBJECT_TYPE_CODE             VARCHAR2(120),
    OBJECT_ID                    NUMBER(18, 0),
    OBJECT_NAME                  VARCHAR2(960)    NOT NULL,
    SETUP_STEP_CODE              VARCHAR2(120),
    NEXT_ACTION_CODE             VARCHAR2(120),
    STATUS_CODE                  VARCHAR2(120),
    CREATED_BY                   VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN            VARCHAR2(128),
    LAST_UPDATE_DATE             TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY              VARCHAR2(256)    NOT NULL,
    CREATION_DATE                TIMESTAMP(6)     NOT NULL,
    OBJECT_VERSION_NUMBER        NUMBER(9, 0)     NOT NULL,
    TIME_ZONE_DEFAULT_LE_FLAG    VARCHAR2(4)  ,
    TAX_DEFAULT_LE_FLAG          VARCHAR2(4)  ,
    CONFIGURATION_ID             NUMBER(18, 0),
    OBJECT_TYPE_CODE             VARCHAR2(120),
    OBJECT_ID                    NUMBER(18, 0),
    OBJECT_NAME                  VARCHAR2(960)    NOT NULL,
    SETUP_STEP_CODE              VARCHAR2(120),
    NEXT_ACTION_CODE             VARCHAR2(120),
    STATUS_CODE                  VARCHAR2(120),
    CREATED_BY                   VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN            VARCHAR2(128),
    LAST_UPDATE_DATE             TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY              VARCHAR2(256)    NOT NULL,
    CREATION_DATE                TIMESTAMP(6)     NOT NULL,
    OBJECT_VERSION_NUMBER        NUMBER(9, 0)     NOT NULL,
    TIME_ZONE_DEFAULT_LE_FLAG    VARCHAR2(4)  ,
    TAX_DEFAULT_LE_FLAG          VARCHAR2(4)  ,
    CONSTRAINT pk_gl_ledger_config_details PRIMARY KEY (CONFIGURATION_ID, OBJECT_TYPE_CODE, OBJECT_ID, SETUP_STEP_CODE, CONFIGURATION_ID, OBJECT_TYPE_CODE, OBJECT_ID, SETUP_STEP_CODE)
);
